/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/*HP Edits | Started - <November 26, 2025>*/

/*Global*/

.each--gallery .gallery__link a,
.each--gallery .gallery__link {
	position:absolute;
	inset: 0;
	widht: 100%;
	height: 100%;
	z-index: 9;
	cursor: pointer;
	opacity: 0;
}

.each--gallery {
	position: relative;
}



/*btn*/
/*Modal*/
/*Header*/
.snap-mobile-menu {
    background-color: var(--color-primary-text);
}

mm-burger {
    color: var(--color-secondary-background);
}
.cta-btn {
    background: var(--color-primary-background);
}

.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
body[data-page-name="index"] #navigation {
    background: white;
}

body[data-page-name="index"] #hp-slider {
    margin-top: 173.8px;
}
@media (max-width:1024px){
    body[data-page-name="index"] #hp-slider {
        margin-top: 100px;;
    }
}
/*Hero*/

.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent);
	height: 60%;
}
/*Welcome*/

#hp-welcome-1 .background-section, #hp-welcome-1 .background-section img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
}
/*CTA*/
/*Services*/
.ry-services.style2 .ry-content {
    padding-top: 60px;
}

.ry-services.style2 .ry-each .photo {
    background: white;
}

#services-7 .ry-content .content {
    max-width: 960px;
}

.ry-services.style2 .ry-each .photo:before {
    height: 60%;
}

.ry-services.style2 .ry-each .photo:after {
    opacity: 0.9;
}
.ry-services.style2 .ry-each .photo img {
    height: 80%;
    width: 80%;
    left: 10%;
    top: 5%;
}
/*Team*/
/*Insurance*/
/*Brands*/
/*Appointment Form*/
/*Testimonials*/
/*Footer*/
#ry-footer::before {
    background-color: var(--color-secondary-background);
}
/*Media Queries*/
@media (width < 1080px) {
    #section-hp-services::before, .module-19.style2::before, .ry-services.style2::before {
        opacity: 1;
    }
    .ry-services.style2 .each-block .photo {
        background: white;
    }
    .ry-services.style2 .each-block .photo::before {
        opacity: 0;
    }
    
    #services-7 .each-block {
        margin-bottom: 90px;
        overflow: visible;
    }
    
    .ry-services.style2 .each-block .title {
        bottom: -85px;
    }
    
    .mobile-services .slick-dots button {
        background: white;
    }
}

@media (max-width:1024px) {
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}
/* END | HP Edits*/

body[data-page-name="frame-collection"] #hp-brands-3::before {
	background-image: none !important;
}

body[data-page-name="frame-collection"] #hp-brands-3::before {
	padding-top: 0 !important;
}

div#navigation .bg-primary-background {
    background-color: #fff !important;
}

#ry-footer ul {
    line-height: 2;
}

body[data-page-name="frame-collection"] #hp-brands-3 {
	padding-top: 0;
}

body[data-page-name="frame-collection"] #hp-brands-3::before {
	display: none;
}

.ry-frames-img .ry-each {
    width: 33.33%;
    padding: 10px;
    text-align: center;
    margin-left: -1px;
    margin-bottom: -1px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.ry-frames-img {
    flex-wrap: wrap;
    webkit-box-pack:start;
    justify-content:flex-start;
    margin-top:30px;
}

label.control-label {
    display: flex !important;
    align-items: center;
    gap: 5px;
}

.shadow-custom-light {box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.1)}

@media (min-width: 1025px) {
	.interior-banner {
		margin-top: 160px;
	}
}

@media (max-width: 1024px) {
	.interior-banner {
		margin-top: 100px;
	}
}

@media(max-width: 768px) {
	.ry-frames-img .ry-each {
		width: 50%;

	}
}

@media(max-width: 390px) {
	.ry-frames-img .ry-each {
		width: 100%;

	}
	    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}